# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rhai_components"
version = "0.5.6"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "JSX-like syntax extension for Rhai"
readme = false
license = "Apache-2.0"

[lib]
name = "rhai_components"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.98"
features = ["backtrace"]

[dependencies.dashmap]
version = "6.1.0"

[dependencies.nanoid]
version = "0.4.0"

[dependencies.rhai]
version = "1.23.6"
features = [
    "internals",
    "metadata",
    "no_closure",
    "serde",
    "serde_json",
    "sync",
]

[dependencies.tokio]
version = "1.45.1"
features = ["full"]
